Constants.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Variables

static constexpr double | PI = 3.14159265358979323846264338327950288419716939937510
| Pi up to 50 decimal places. More...
static constexpr double | HALF_PI = 1.57079632679489661923132169163975144209858469968755
| Pi divided by two. More...
static constexpr double | Deg2Rad = 0.0174532925199432957692369076848861271344287188854172222222222222
| Factor to convert degrees to radians. More...
static constexpr double | Rad2Deg = 57.295779513082320876798154814105170332405472466564427711013084788
| Factor to convert radians to degrees. More...

## Variable Documentation

## Deg2Rad

constexpr double Deg2Rad = 0.0174532925199432957692369076848861271344287188854172222222222222

staticconstexpr

Factor to convert degrees to radians.

Definition at line 12 of file Constants.h.

## HALF_PI

constexpr double HALF_PI = 1.57079632679489661923132169163975144209858469968755

staticconstexpr

Pi divided by two.

Definition at line 9 of file Constants.h.

## PI

constexpr double PI = 3.14159265358979323846264338327950288419716939937510

staticconstexpr

Pi up to 50 decimal places.

Definition at line 6 of file Constants.h.

## Rad2Deg

constexpr double Rad2Deg = 57.295779513082320876798154814105170332405472466564427711013084788

staticconstexpr

Factor to convert radians to degrees.

Definition at line 15 of file Constants.h.